Bug 52797 - libsynthesis: better configuration mechanism + debugging
Summary: libsynthesis: better configuration mechanism + debugging
Status: RESOLVED MOVED
Alias: None
Product: SyncEvolution
Classification: Unclassified
Component: SyncEvolution (show other bugs)
Version: unspecified
Hardware: All All
: low enhancement
Assignee: SyncEvolution Community
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-13 01:44 UTC by SyncEvolution Community
Modified: 2018-10-13 12:45 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Description Patrick Ohly 2012-07-29 18:36:00 UTC


---- Reported by jingke.zhang@intel.com 2010-04-13 01:44:07 +0000 ----

This is from http://bugzilla.moblin.org/show_bug.cgi?id=3471

The compile-time configuration of libsynthesis is done via a static
target_options.h file. On Linux with configure it would be more natural to let
configure options determine at least some of the aspects currently fixed in
target_options.h.

src/Makefile.am.in describes in which order header files are included.

To give one example, debugging of low-level SyncML Toolkit issues becomes
easier with the following change to target_options.h:

-#define RELEASE_VERSION
+// #define RELEASE_VERSION
 #define RELEASE_SYDEBUG 2 // extended DBG included
 //#define OPTIONAL_SYDEBUG 1

@@ -24,6 +24,7 @@
 // now include platform independent product options (which include
global_options.h)
 #include "product_options.h"

+#define CONSOLEINFO



--- Bug imported by patrick.ohly@gmx.de 2012-07-29 20:36 UTC  ---

This bug was previously known as _bug_ 679 at https://bugs.meego.com/show_bug.cgi?id=679
Comment 1 GitLab Migration User 2018-10-13 12:45:09 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/SyncEvolution/syncevolution/issues/144.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.